- ## Standalone Wordpress Container Docs
- `git clone https://git.libre.audio/EquilibrateIT/ansible_wordpress-standalone.git`
- `cd ansible_wordpress-standalone`
- *Optional* - rename ansible/playbooks/equilibrate.com.yml to match your domain name
- `ansible-playbook ansible/playbooks/yoursite.com.yml`
- `ssh yoursite.com`
- `su - wordpress`
- *Optional*
  a. Remove firewall rule for port 80  
  `firewall-cmd --zone=public --remove-rich-rule rule family="ipv4" forward-port port="80" protocol="tcp" to-port="8080"`  
  b. Create ssl certificates  
  `certbot certonly -d yoursite.com`  
  c. Copy the certificates where the container build will pick them up  
  `mv /etc/letsencrypt/live/yoursite.com/privkey.pem /home/wordpress/wordpress/apache/`  
  `mv /etc/letsencrypt/live/yoursite.com/fullchain.pem /home/wordpress/wordpress/apache/`  
- *Optional*
  a. Generate self-signed certificates  
  `cd ~/wordpress/apache`  
  `openssl req -x509 -newkey rsa:4096 -keyout privkey.pem -out fullchain.pem -sha256 -days 3650 -nodes -subj "/C=XX/ST=StateName/L=CityName/O=CompanyName/OU=CompanySectionName/CN=CommonNameOrHostname"`  
- Create ~/.env file
  ```
  MYSQL_ROOT_PASSWORD="<YourSecureRootPassword>"
  MYSQL_DATABASE=wordpress
  MYSQL_USER=wordpress
  MYSQL_PASSWORD="<YourSecurePassword>"
  
  WORDPRESS_DB_NAME=wordpress
  WORDPRESS_DB_HOST=db:3306
  WORDPRESS_DB_USER=wordpress
  WORDPRESS_DB_PASSWORD="<YourSecurePassword>"
  ```
- `cd ~`
  `podman-compose up -d`
